### Home Classes Methods

### In Files

- lib/amqp/exceptions.rb

### Parent

StandardError

### Class/Module Index

Quicksearch

- AMQP
- AMQP::Broker
- AMQP::Channel
- AMQP::ChannelClosedError
- AMQP::Client
- AMQP::Consumer
- AMQP::Error
- AMQP::Exchange
- AMQP::Header
- AMQP::IncompatibleOptionsError
- AMQP::Integration
- AMQP::Integration::Rails
- AMQP::PossibleAuthenticationFailureError
- AMQP::Queue
- AMQP::Session
- AMQP::TCPConnectionFailed
- AMQP::Utilities
- AMQP::Utilities::EventLoopHelper
- AMQP::Utilities::ServerType

No matching classes.

# AMQP::Error

Base class for AMQP connection lifecycle exceptions. @api public

### Attributes

cause[R]

An exception in one of the underlying libraries that caused this exception to be re-thrown. May be nil.

[Validate]

Generated with the Darkfish Rdoc Generator 2.